 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.PastureEntity;
import com.huimv.management.service.PastureService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 牧场表
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
@Api(tags = "牧场表")
@RestController
@RequestMapping("management/pasture")
public class PastureController {
    @Autowired
    private PastureService pastureService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = pastureService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		PastureEntity pasture = pastureService.getById(id);

        return R.ok().put("pasture", pasture);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody PastureEntity pasture){
		pastureService.save(pasture);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody PastureEntity pasture){
		pastureService.updateById(pasture);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		pastureService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

    /**
     * 查询全部
     */
    @RequestMapping("/findAll")
    public R findAll(){
        List list = pastureService.findAll();

        return R.ok().put("all",list);
    }

}
